# /homes/fmmarquesmadeira/Projects/jabaws/binaries/src/ViennaRNA/H/alifold.h File Reference

compute various properties (consensus MFE structures, partition function, Boltzmann distributed stochastic samples, ...) for RNA sequence alignments More...

Include dependency graph for alifold.h:

Go to the source code of this file.

## Functions
void | update_alifold_params (void)
| Update the energy parameters for alifold function.
float | alifold (const char **strings, char *structure)
| Compute MFE and according consensus structure of an alignment of sequences.
float | circalifold (const char **strings, char *structure)
| Compute MFE and according structure of an alignment of sequences assuming the sequences are circular instead of linear.
void | free_alifold_arrays (void)
| Free the memory occupied by MFE alifold functions.
int | get_mpi (char *Alseq[], int n_seq, int length, int *mini)
| Get the mean pairwise identity in steps from ?to?(ident).
float ** | readribosum (char *name)
| Read a ribosum or other user-defined scoring matrix.
float | energy_of_alistruct (const char **sequences, const char *structure, int n_seq, float *energy)
| Calculate the free energy of a consensus structure given a set of aligned sequences.
void | encode_ali_sequence (const char *sequence, short *S, short *s5, short *s3, char *ss, unsigned short *as, int circ)
| Get arrays with encoded sequence of the alignment.
void | alloc_sequence_arrays (const char **sequences, short ***S, short ***S5, short ***S3, unsigned short ***a2s, char ***Ss, int circ)
| Allocate memory for sequence array used to deal with aligned sequences.
void | free_sequence_arrays (unsigned int n_seq, short ***S, short ***S5, short ***S3, unsigned short ***a2s, char ***Ss)
| Free the memory of the sequence arrays used to deal with aligned sequences.
float | alipf_fold_par (const char **sequences, char *structure, plist **pl, pf_paramT *parameters, int calculate_bppm, int is_constrained, int is_circular)
float | alipf_fold (const char **sequences, char *structure, plist **pl)
| The partition function version of alifold() works in analogy to pf_fold(). Pair probabilities and information about sequence covariations are returned via the 'pi' variable as a list of pair_info structs. The list is terminated by the first entry with pi.i = 0.
float | alipf_circ_fold (const char **sequences, char *structure, plist **pl)
FLT_OR_DBL * | export_ali_bppm (void)
| Get a pointer to the base pair probability array.
char * | alipbacktrack (double *prob)
| Sample a consensus secondary structure from the Boltzmann ensemble according its probability .
int | get_alipf_arrays (short ***S_p, short ***S5_p, short ***S3_p, unsigned short ***a2s_p, char ***Ss_p, FLT_OR_DBL **qb_p, FLT_OR_DBL **qm_p, FLT_OR_DBL **q1k_p, FLT_OR_DBL **qln_p, short **pscore)
| Get pointers to (almost) all relavant arrays used in alifold's partition function computation.
## Variables
double | cv_fact
| This variable controls the weight of the covariance term in the energy function of alignment folding algorithms.
double | nc_fact
| This variable controls the magnitude of the penalty for non-compatible sequences in the covariance term of alignment folding algorithms.

## Detailed Description

compute various properties (consensus MFE structures, partition function, Boltzmann distributed stochastic samples, ...) for RNA sequence alignments

## Function Documentation

void update_alifold_params | ( | void |  | ) |

Update the energy parameters for alifold function.

Call this to recalculate the pair matrix and energy parameters after a change in folding parameters like temperature